services:
  app.listener.entity.contract_order_listener:
    class: App\Listener\Entity\ContractOrderListener
    tags:
      - { name: doctrine.orm.entity_listener, entity: App\Entity\Order\ContractOrder, event: prePersist, lazy: true, priority: 0 }
    arguments:
      [ '@App\Service\Order\ContractOrderService', '@Symfony\Bundle\SecurityBundle\Security' ]